# IRsObjectList Interface Reference

Inherits IRsObject, and IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetAt ([in] RtUlong pos,[out, retval] IRsObject **ppObj)
HRESULT | GetCount ([out, retval] RtUlong *pSize)
HRESULT | Clear (void)
HRESULT | Add ([in] IRsObject *pObj)
HRESULT | Remove ([in] IRsObject *pObj)
HRESULT | SetAt ([in] RtUlong pos,[in] IRsObject *ppObj)
HRESULT | GetAt ([in] RtUlong pos,[out, retval] IRsObject **ppObj)
HRESULT | GetCount ([out, retval] RtUlong *pSize)
HRESULT | Clear (void)
HRESULT | Add ([in] IRsObject *pObj)
HRESULT | Remove ([in] IRsObject *pObj)
HRESULT | SetAt ([in] RtUlong pos,[in] IRsObject *ppObj)

## Detailed Description

Generic list of objects

## Member Function Documentation

HRESULT IRsObjectList::GetAt | ( | [in] RtUlong | pos,
|  | [out, retval] IRsObject ** | ppObj |
| ) |  |  |

Parameters:

  | pos | [in] .

Returns:
  ppObj [out,retval] .

HRESULT IRsObjectList::GetCount | ( | [out, retval] RtUlong * | pSize | ) |

Returns:
  pSize [out,retval] .

HRESULT IRsObjectList::Clear | ( | void |  | ) |

Clear.

HRESULT IRsObjectList::Add | ( | [in] IRsObject * | pObj | ) |

Parameters:

  | pObj | [in] .

HRESULT IRsObjectList::Remove | ( | [in] IRsObject * | pObj | ) |

Parameters:

  | pObj | [in] .

HRESULT IRsObjectList::SetAt | ( | [in] RtUlong | pos,
|  | [in] IRsObject * | ppObj |
| ) |  |  |

Parameters:

  | pos | [in] .
  | ppObj | [in] .

HRESULT IRsObjectList::GetAt | ( | [in] RtUlong | pos,
|  | [out, retval] IRsObject ** | ppObj |
| ) |  |  |

Parameters:

  | pos | [in] .

Returns:
  ppObj [out,retval] .

HRESULT IRsObjectList::GetCount | ( | [out, retval] RtUlong * | pSize | ) |

Returns:
  pSize [out,retval] .

HRESULT IRsObjectList::Clear | ( | void |  | ) |

Clear.

HRESULT IRsObjectList::Add | ( | [in] IRsObject * | pObj | ) |

Parameters:

  | pObj | [in] .

HRESULT IRsObjectList::Remove | ( | [in] IRsObject * | pObj | ) |

Parameters:

  | pObj | [in] .

HRESULT IRsObjectList::SetAt | ( | [in] RtUlong | pos,
|  | [in] IRsObject * | ppObj |
| ) |  |  |

Parameters:

  | pos | [in] .
  | ppObj | [in] .